Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 8027 - Kdevelop cannot build search database using htdig
Summary: Kdevelop cannot build search database using htdig
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-17 07:38 UTC by Christian Plessl
Modified: 2003-04-14 17:02 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Plessl 2002-09-17 07:38:50 UTC
The current 2.1.3-r1 version of kdevelop cannot build a search database.

Kdevelop Setup->Documentation->Options->Create search database->Create
Index enginge = ht://dig

yields the following error message:

DB2 problem...: /usr/kde/3/share/apps/kdevelop/htdig/db/db.docdb: Permission denied
htdig: Unable to open/create document database
'/usr/kde/3/share/apps/kdevelop/htdig/db/db.docdb'
htmerge: Unable to create temporary word file
'/usr/kde/3/share/apps/kdevelop/htdig/db/db.wordlist.new'
Finished!


Looks like a permission problem.The directory
/usr/kde/3/share/apps/kdevelop/htdig/db is not writable by the user that wants
to create the search database.
Comment 1 Hannes Mehnert (RETIRED) gentoo-dev 2002-11-30 17:57:25 UTC
kdevelop-3.0_alpha2 is out, where this should be fixed. please test 
Comment 2 Hannes Mehnert (RETIRED) gentoo-dev 2003-02-04 13:41:44 UTC
hmm, i don't like the idea to give all users access to $KDEDIR/share/apps/kdevelop/htdig/db/. 
but maybe this would be the best solution? or having a search database in 
~/.kde/share/apps/kdevelop/htdig. would be much better. any opinions? 
Comment 3 Dan Armak (RETIRED) gentoo-dev 2003-02-14 05:57:32 UTC
Well, if you can manage it, it'd be best for the ebuild to create a world-readable database after 
installing. (This is for the static docs installed by the ebuilds right?) 
Comment 4 Dan Armak (RETIRED) gentoo-dev 2003-04-14 16:09:53 UTC
Hannes - so what's the status of this? Is it fixed in 3.x? If so we needn't worry extremely 
about 2.x, and can close this as WONTFIX... 
(How long have I been saying 'I wish gideon would get stable already'?) 
Comment 5 Hannes Mehnert (RETIRED) gentoo-dev 2003-04-14 17:02:57 UTC
kdevelop-3.0_alpha* search database works. closing as wontfix.